Skip to Content.
Sympa Menu

sm-commit - [SM-Commit] GIT changes to master grimoire by Treeve Jelbert (b54d207501b93c7c9206426687c0540aa31bd92d)

sm-commit AT lists.ibiblio.org

Subject: Source Mage code commit list

List archive

Chronological Thread  
  • From: Treeve Jelbert <scm AT mail.sourcemage.org>
  • To: sm-commit AT lists.ibiblio.org
  • Subject: [SM-Commit] GIT changes to master grimoire by Treeve Jelbert (b54d207501b93c7c9206426687c0540aa31bd92d)
  • Date: Mon, 14 Aug 2006 02:21:44 -0500

GIT changes to master grimoire by Treeve Jelbert <treeve AT scarlet.be>:

database/firebird/DETAILS | 20 ++++++-------
database/firebird/HISTORY | 6 +++
database/firebird/PREPARE | 2 -
database/firebird/PRE_BUILD | 2 -
database/firebird/init.d/firebird | 55
------------------------------------
database/firebird/init.d/firebird15 | 55
++++++++++++++++++++++++++++++++++++
6 files changed, 73 insertions(+), 67 deletions(-)

New commits:
commit b54d207501b93c7c9206426687c0540aa31bd92d
Author: Treeve Jelbert <treeve AT scarlet.be>
Commit: Treeve Jelbert <treeve AT scarlet.be>

firebird-2.0.0.12724-ReleaseCandidate4

diff --git a/database/firebird/DETAILS b/database/firebird/DETAILS
index 9c5a82a..945455c 100755
--- a/database/firebird/DETAILS
+++ b/database/firebird/DETAILS
@@ -1,17 +1,17 @@
SPELL=firebird
case $FB_VER in
- cvs)
- VERSION=snapshot
- SOURCE=${SPELL}-$VERSION.tar.bz2
-
SFCVS=cvs://:pserver:anonymous AT firebird.cvs.sourceforge.net:/cvsroot
- SOURCE_URL[0]=$SFCVS/firebird:firebird2:HEAD
- SOURCE_IGNORE=volatile
- FORCE_DOWNLOAD=on
-;;
+# cvs)
+# VERSION=snapshot
+# SOURCE=${SPELL}-$VERSION.tar.bz2
+#
SFCVS=cvs://:pserver:anonymous AT firebird.cvs.sourceforge.net:/cvsroot
+# SOURCE_URL[0]=$SFCVS/firebird:firebird2:HEAD
+# SOURCE_IGNORE=volatile
+# FORCE_DOWNLOAD=on
+#;;
devel)
- VERSION=2.0.0.12710-ReleaseCandidate3
+ VERSION=2.0.0.12724-ReleaseCandidate4
SOURCE=${SPELL/f/F}-$VERSION.tar.bz2
-
SOURCE_HASH=sha512:c7166684e1b553ac4610f888e4502b15d822283bc64bccbb8fc7c3fba1a4b975c725e587a11f28a55ce4bb28767a6ddd83fc6682066055dea08d39b3fea8f7fa
+
SOURCE_HASH=sha512:a8919e25d49ffb79b03e8ea7810c694d0ae6fa32758cc2e5c20603e0470185af36adebd6b19f35496d54fcdef96ea55fb02216f4e3528dfd2ee67ccfdd25ffa5
SOURCE_URL[0]=$SOURCEFORGE_URL/firebird/$SOURCE
;;
*) #stable
diff --git a/database/firebird/HISTORY b/database/firebird/HISTORY
index 9ccabcb..f0d3d6b 100644
--- a/database/firebird/HISTORY
+++ b/database/firebird/HISTORY
@@ -1,3 +1,9 @@
+2006-08-14 Treeve Jelbert <treeve AT pi.be>
+ * DETAILS: version 2.0.0.12724-ReleaseCandidate4 (devel)
+ * PREPARE, DETAILS, PRE_BUILD: remove cvs support
+ * init.d/firebird: rename as init.d/firebird15
+ this should remove confusion over having two init scripts
+
2006-08-03 Treeve Jelbert <treeve01 AT pi.be>
* DETAILS: changes DOCS

diff --git a/database/firebird/PREPARE b/database/firebird/PREPARE
index a3a24df..318c183 100755
--- a/database/firebird/PREPARE
+++ b/database/firebird/PREPARE
@@ -7,7 +7,7 @@ cat <<EOF
After installing firebird, you should change the default password for the
SYSDBA user
by means of the script /usr/firebird/bin/changeDBAPassword.sh
EOF
-config_query_list FB_VER "which version to build?" stable devel cvs
+config_query_list FB_VER "which version to build?" stable devel

# warn of major changes
if spell_ok firebird;then
diff --git a/database/firebird/PRE_BUILD b/database/firebird/PRE_BUILD
index 169c656..ca88d64 100755
--- a/database/firebird/PRE_BUILD
+++ b/database/firebird/PRE_BUILD
@@ -10,7 +10,7 @@ # remove supplied ICU & editline package
# fix for gcc4 and smgl issues
local PATCH &&
case "$FB_VER" in
- cvs|devel)
+ devel)
PATCH=fb2.patch.bz2
;;
*)
diff --git a/database/firebird/init.d/firebird
b/database/firebird/init.d/firebird
deleted file mode 100755
index 1acacf1..0000000
--- a/database/firebird/init.d/firebird
+++ /dev/null
@@ -1,55 +0,0 @@
-#!/bin/bash
-
-# description: Start/Stop firebird database server
-#
-# This file belongs in /etc/init.d where it will be run
-# on system startup and shutdown to start the background
-# Firebird database Super server daemon
-
-
-ISC_USER=SYSDBA
-ISC_PASSWORD=masterkey
-FBRunUser=firebird
-FB=/usr/firebird/bin/fbmgr.bin
-#export FB
-export ISC_USER
-export ISC_PASSWORD
-# WARNING: in a real-world installation, you should not put the
-# SYSDBA password in a publicly-readable file.
-# Eventually this file should not need to contain any passwords.
-# as root user alone should be sufficient privledge to stop/start
-# the server.
-
-source /etc/init.d/smgl_functions
-
-PROGRAM=/bin/false
-RUNLEVEL=3
-NEEDS="+network +remote_fs"
-
-case $1 in
- start)
- echo "Starting Firebird Super Server"
- mkdir -p /var/run/firebird
- chown firebird:firebird /var/run/firebird
- su -l "$FBRunUser" -s /bin/sh -m -c "$FB -start -forever"
- evaluate_retval
- ;;
- stop)
- echo "Stopping Firebird server"
- $FB -shut
- evaluate_retval
- ;;
-
- restart|reload)
- echo "Restarting Firebird server"
- $0 stop
- $0 start
- evaluate_retval
- ;;
- *)
- echo "Usage: $0 {start|stop|restart}"
- exit 1
- ;;
-esac
-
-
diff --git a/database/firebird/init.d/firebird15
b/database/firebird/init.d/firebird15
new file mode 100755
index 0000000..0140aab
--- /dev/null
+++ b/database/firebird/init.d/firebird15
@@ -0,0 +1,55 @@
+#!/bin/bash
+
+# description: Start/Stop firebird15 database server
+#
+# This file belongs in /etc/init.d where it will be run
+# on system startup and shutdown to start the background
+# Firebird database Super server daemon
+
+
+ISC_USER=SYSDBA
+ISC_PASSWORD=masterkey
+FBRunUser=firebird
+FB=/usr/firebird/bin/fbmgr.bin
+#export FB
+export ISC_USER
+export ISC_PASSWORD
+# WARNING: in a real-world installation, you should not put the
+# SYSDBA password in a publicly-readable file.
+# Eventually this file should not need to contain any passwords.
+# as root user alone should be sufficient privledge to stop/start
+# the server.
+
+source /etc/init.d/smgl_functions
+
+PROGRAM=/bin/false
+RUNLEVEL=3
+NEEDS="+network +remote_fs"
+
+case $1 in
+ start)
+ echo "Starting Firebird Super Server"
+ mkdir -p /var/run/firebird
+ chown firebird:firebird /var/run/firebird
+ su -l "$FBRunUser" -s /bin/sh -m -c "$FB -start -forever"
+ evaluate_retval
+ ;;
+ stop)
+ echo "Stopping Firebird server"
+ $FB -shut
+ evaluate_retval
+ ;;
+
+ restart|reload)
+ echo "Restarting Firebird server"
+ $0 stop
+ $0 start
+ evaluate_retval
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ exit 1
+ ;;
+esac
+
+



  • [SM-Commit] GIT changes to master grimoire by Treeve Jelbert (b54d207501b93c7c9206426687c0540aa31bd92d), Treeve Jelbert, 08/14/2006

Archive powered by MHonArc 2.6.24.

Top of Page